using System.Diagnostics.CodeAnalysis;
using Microsoft.AspNetCore.Builder;
using NPin.Framework.AspNetCore.Microsoft.AspNetCore.Middlewares;

namespace NPin.Framework.AspNetCore.Microsoft.AspNetCore.Builder;

public static class ApiInfoBuilderExtensions
{
    public static IApplicationBuilder UseNPinApiMiddleware([NotNull] this IApplicationBuilder app)
    {
        app.UseMiddleware<ApiInfoMiddleware>();
        return app;
    }
}